Subject: Re: Setup on unprivileged accounts

From: Sergey Matveev <[email-masked]>
Date: Wed, 4 Aug 2021 16:50:55 +0300

Greetings!

*** John Goerzen [2021-08-03 23:08]:
>My initial scheme, used elsewhere, of calling to "|sudo ... nncp-daemon
>-inetd" won't work here.  I'm thinking of alternatives.

Hopefully I am missing something, but I just do not see why do you need
root/sudo/setuid? Why high privileges, if we are not expecting to run on
ports below 1024? I assume that each user has its own directory. Why can
not he have his own spool directory in his home one? NNCPCFG in .profile
can point to the configuration file in his home. Croned tasks can be
avoided if person manually (ssh sdf "nncp-daemon -ucspi ; nncp-toss")
runs tossing when necessary.

>4) Perhaps a variant on #3, I could have a regular-permissioned spool
>directory and then nncp-xfer into a separate tree with directories owned as
>appropriate with sticky bits set.  Peers would have a similar nncp-xfer to
>pull stuff out of there.

Only here I understand that you want to share packets between the user
accounts on the same system? nncp-xfer is what comes in my mind first
here: one shared/accessible directory. And spools in home directories.
And much more efficient transmission comparing to online (-daemon,
-call*) tools. Actually files from the spool technically can be even
hardlinked, without any copying at all, in theory (current code just
copies data).

-- 
Sergey Matveev (http://www.stargrave.org/)
OpenPGP: CF60 E89A 5923 1E76 E263  6422 AE1A 8109 E498 57EF